.DemoEssayList_Container {
    display: grid;
    gap: 20px;
}

.DemoEssayList_FilterButtonBox {
    display: flex;
    gap: 7px;
    border-bottom: 1px solid #ccc;
}

.FilterButton {
    padding: 10px 0px 10px 0px;
    width: 80px;
    font-size: 15px;
    text-align: center;
    color: #555;
    border: 1px solid #ccc;
    border-bottom: none;
    border-radius: 5px 5px 0px 0px;
    background-color: var(--white-tint-color-2);
}

.DemoEssayList_PageButtonBox {
    display: grid;
    gap: 10px;
    justify-content: center;
    grid-template-columns: repeat(auto-fit, 35px);
    grid-template-rows: repeat(auto-fit, 35px);
    padding: 20px 10px;
}

.DemoEssayList_PageButton {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50px;
    background-color: var(--white-tint-color-2);
    border: 1px solid #ccc;
}

.DemoEssayList_ActiveColor {
    background-color: #cdc9dd;
    background-color: var(--white-tint-color-4);
}

.DemoEssayList_GridBox {
    display: grid;
    gap: 25px;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr) );
}

.DemoEssayList_Item {
    position: relative;

    display: grid;
    gap: 30px;
    align-content: space-between;
    padding: 30px 15px 20px 15px;
    border-radius: 5px;
    background-color: var(--white-tint-color-3);
    transition: all 0.2s;
    cursor: pointer;

    /* aタグの装飾無効化 */
    text-decoration: none;
    color: inherit;
}

.DemoEssayList_Item:hover {
    scale: 1.03;
    background-color: var(--white-tint-color-4);
}

.AfterReportLabel_Box {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 80px;
    height: 80px;
    overflow: hidden;
}

.AfterReportLabel_Ribbon {
    display: inline-block;
    position: absolute;
    right: -16px;
    top: 16px;
    width: 136px;
    padding: 2px;
    text-align: center;
    font-size: 12px;
    background: #ff4500;
    color: #fff;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.DemoEssayList_StudentBox {
    display: flex;
    gap: 10px;
    padding-left: 5px;
    /* flex-direction: column; */
    align-items: center;
}

.DemoEssayList_StudentInfoBox {
    display: grid;
}

.DemoEssayList_UserIcon {
    text-align: center;
    font-size: 40px;
}

.DemoEssayList_StudentName {
    font-size: 15px;
    font-weight: bold;
}

.DemoEssayList_StudentID {
    font-size: 13px;
    color: #777;
}

.DemoEssayList_EssayBox {
    display: grid;
    gap: 5px;
}

.DemoEssayList_ThemeRow {
    font-size: 13px;
    color: #555;
    padding-left: 5px;
    font-weight: bold;
}

.DemoEssayList_Preview_TopSpacer {
    border-top: 1px solid #ccc;
    height: 5px;
}
.DemoEssayList_Preview_BottomSpacer {
    border-bottom: 1px solid #ccc;
    height: 5px;
}

.DemoEssayList_Preview {
    height: 60px;
    text-align: justify;
    /* background-color: #ccc; */
    padding: 0px 10px;
    font-size: 14px;
    font-family: 'Noto Serif JP';
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
}

.DemoEssayList_DateTime {
    text-align: right;
    color: #999;
    font-size: 12px;
}

#EssayViewer_BackButton {
    justify-self: center;
    padding: 4px 20px;
}

.AdminDashboard_Container {
    padding: 20px;
    
    display: grid;
    gap: 30px;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 100px 400px;
}

.AdminDashboard_Box {
    background-color: #fff;
}

.MemberCRUD_Container {
    padding: 20px;

    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-template-rows: repeat(auto-fill, minmax(200px, min-content));
    gap: 20px;
}

.MemberCRUD_Box {
    background-color: #fff;
    padding: 20px 10px;
    color: #555;

    display: grid;
    justify-items: center;
    align-items: baseline;
    align-content: baseline;
    gap: 10px;
}

.MemberCRUD_Box .Title {
    font-size: 1.2em;
    font-weight: bold;
}

.EvaluationItemsList {
    display: grid;
    gap: 10px;
}

/* 評価項目のテキストフォーム */
.EvaluationItemsList .text-input {
    color: #0076ff;
}

.EvaluationList {
    margin: 0px 0px 15px 0px;
}

.EvaluationListItem_Header {
    font-weight: bold;
    background-color: #eee;
}

.StudentMemberList {
    display: grid;
    grid-template-columns: 1fr 1fr 2fr 1fr;
    row-gap: 20px;
    column-gap: 10px;
}

.AdminCourseRegistration_InnerBox {
    width: 100%;
    display: grid;
    gap: 15px;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px;
}

.StudentData {
    display: grid;
    gap: 10px;
    grid-template-columns: 70px 1fr;
}

.StudentData_Label {
    color: #777;
}

.StudentCourseRegistrationData {
    display: grid;
    gap: 10px;
}

#AdminCourseRegistrationForm_SubmitButton {
    justify-self: center;
}

.TaskAllocation_StudentMemberList {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 2fr 1fr;
    row-gap: 20px;
    column-gap: 10px;
}
.TaskAllocation_StudentCourseList {
    width: 100%;
    display: grid;
    grid-template-columns: 2fr 1fr;
    row-gap: 20px;
    column-gap: 10px;
}
.TaskAllocation_ThemeList, .TaskAllocation_StudentThemeList {
    width: 100%;
    display: grid;
    grid-template-columns: 2fr 1fr;
    row-gap: 20px;
    column-gap: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px;
}
.TaskAllocationThemeDeleteButton {
    background-color: orangered;
}

.TaskAllocation_Theme_NameBox {
    display: grid;
}
.TaskAllocation_Theme_Date {
    font-size: 14px;
    color: #999;
}

.TaskAllocation_TaskPeriodForm {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 20px 1fr 1fr;
    row-gap: 20px;
    column-gap: 10px;
}

.MemberListHeader {
    font-weight: bold;
}

.EvaluationListItem_AI_Badge {
    display: none;
    border: 1px solid #000;
    border-radius: 5px;
    padding: 2px 5px;
}

.EvaluationListItem_AI_Badge_Applied {
    display: block;
    border-color: #00aa00;
    background-color: #00aa00;
    color: #fff;
}
.EvaluationListItem_AI_Badge_NotApplied {
    display: block;
    border-color: #ccc;
    color: #ccc;
}

.Grade_Container {
    display: flex;
    justify-content: space-evenly;
    width: 100%;
}

.Grade_StandardDesc {
    width: 100%;
    min-height: 20px;
    margin-top: 10px;
    color: #555;
    font-size: 14px;
    position: relative;
}

.Grade_StandardDesc_Preview {
    display: none;
}

.Grade_Container ons-radio {
    border: 1px solid #ccc;
    border-radius: 50px;
    padding: 2px;
}

/* ラジオボタンチェックマークの位置の微調整 */
.radio-button__checkmark:after {
    left: 6px;
}

.Grade_ItemBox {
    display: grid;
    gap: 5px;
    justify-items: center;
    width: 100%;
}

.Grade_Container .GradeLabel {
    width: 100%;
    display: flex;
    justify-content: center;
}

.GradeLabel_ListStyle {
    display: inline;
}

.GradeLabel_Scale {
    margin-right: 10px;
}

.GradeLabel_Desc {
    color: #555;
    font-size: 14px;
}

.CatReportContainer {
    display: grid;
    gap: 10px;
}

.CatReport_H1Box {
    font-size: 30px;
    font-weight: bold;
}

.CatReport_H2Box {
    font-size: 20px;
    font-weight: bold;
    padding-left: 20px;
}

.CatReport_H3Box {
    font-size: 17px;
    padding-left: 40px;
}

.EvaluationListItem_ImageFile_Text {
    width: 100%;
    padding: 10px 0px;
    color: #777;
}

.EssayStateHistory_ItemContainer {
    display: grid;
    gap: 25px;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr) );
}

.EssayStateHistory_Item {
    display: grid;
    gap: 10px;
    align-content: space-between;
    padding: 20px 15px 20px 15px;
    border-radius: 5px;
    background-color: var(--white-tint-color-3);
}

.EssayStateHistory_Item .History_List {
    display: grid;
    gap: 10px;
    grid-template-columns: 120px 1fr;
    font-size: 0.9em;
}

.EssayStateHistory_Item .History_List .Label {
    color: #555;
}